// chapitre 5 espaces imbriqués.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
using namespace std;

namespace Algo
{
	namespace Structures
	{
		class Tableau {};
		class Pile {};
	} ;

	namespace Fonctions
	{
		using namespace Structures;
		void tri_rapide(Tableau t);
	} ;
} ;

using namespace Algo;
using namespace Algo::Structures;

int main(int argc, char* argv[])
{

	cout << hex << 4096 << "\n";
	cout << 8192 << "\n";		 // toujours en hexa
	cout << dec << 4096 << "\n"; // repase en décimal
	cout.width(8);
	cout.fill('#');	
	cout << setprecision(3) ;
	cout << 3.1415 << flush;
	Tableau t;
	return 0;
}

